> ## Documentation Index
> Fetch the complete documentation index at: https://docs.entropi.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Invite List

> Returns a list of all Invites for a given Interview or Product. 



## OpenAPI

````yaml GET /v1/invites/getList
openapi: 3.0.1
info:
  title: Entropi API
  description: A guide to Entropi's public APIs
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://dev.entropi.app
security:
  - bearerAuth: []
paths:
  /v1/invites/getList:
    get:
      description: 'Returns a list of all Invites for a given Interview or Product. '
      parameters:
        - name: interviewID
          in: query
          description: Retrieve invites associated with this interviewID
          schema:
            type: string
        - name: productID
          in: query
          description: Retrieve invites associated with this productID
          schema:
            type: string
      responses:
        '200':
          description: Invite List
          content:
            application/json:
              schema:
                type: object
                properties:
                  result:
                    type: array
                    description: Array of JSON objects with invite details matching query
                    items:
                      $ref: '#/components/schemas/Invite'
        '400':
          description: unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    Invite:
      type: object
      properties:
        linkID:
          type: string
          description: ID of the Invite
        interviewID:
          type: string
          description: ID of the interview associated with the invite
        productID:
          type: string
          description: ID of the product associated with the invite
        orgID:
          type: string
          description: ID of the organization provisioning the invite
        userInfo:
          type: object
          description: Respondent's details
          properties:
            email:
              type: string
              description: Customer's email
            name:
              type: string
              description: Customer's full name
            occupation:
              type: string
              description: Customer's occupation
        status:
          type: string
          description: Status of the invite. unopened/opened/started/complete
        timestamp:
          type: string
          description: DateTime string representation of when the invite was provisioned
        completed_on:
          type: string
          description: >-
            Date string of when the interview was completed. Visible if status
            is completed
        conversation:
          type: array
          description: Transcript of the entire interview
          items:
            type: object
            properties:
              role:
                type: string
                description: >-
                  Message sender - assistant denotes the Interviewer Agent, user
                  denotes the customer's response
              content:
                type: string
                description: Message content
    Error:
      required:
        - error
        - message
      type: object
      properties:
        error:
          type: integer
          format: int32
        message:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````